# forms.py
from django import forms
from django.forms import Textarea
from .models import RSVP, Guest

class RSVPForm(forms.ModelForm):
    class Meta:
        model = RSVP
        fields = ['responder_email', 'send_email_updates']

class GuestForm(forms.ModelForm):
    class Meta:
        model = Guest
        fields = ['name', 'age_group']
        
class NotesForm(forms.ModelForm):
    class Meta:
        model = RSVP
        fields = ['notes']
        widgets = {
            "notes": Textarea(attrs={"cols": 80, "rows": 6}),
        }
        